#pragma once

typedef struct SCPatchParams
{
	short				version;
	pid_t				parent;
	HFSUniStr255		parentBundleID;
	HFSUniStr255		patchBundleID;
	FSRef				patchRef;
} SCPatchParams;

typedef	mach_error_t	(*SCPatchEntry)( SCPatchParams *paramBlock );

#define	err_couldnt_load_main_bundle			(err_local|1)
#define	err_couldnt_find_injection_bundle		(err_local|2)
#define	err_couldnt_load_injection_bundle		(err_local|3)
#define	err_couldnt_find_injectedThread_symbol	(err_local|4)
#define	err_couldnt_find_patch_bundle			(err_local|5)